gr::lte::correlator Class Reference

This is a helper class to provide Fast Correlation using FFTW3f. More...

`#include <correlator.h>`

## Public Member Functions

| correlator (gr_complex *in1, gr_complex *in2, gr_complex *out, int len)
| ~correlator ()
void | execute ()
void | get_maximum (int &pos, float &max)

## Detailed Description

This is a helper class to provide Fast Correlation using FFTW3f.

## Constructor & Destructor Documentation

## correlator()

gr::lte::correlator::correlator | ( | gr_complex * | in1,
|  | gr_complex * | in2,
|  | gr_complex * | out,
|  | int | len )

## ~correlator()

gr::lte::correlator::~correlator | ( |  | ) |

## Member Function Documentation

## execute()

void gr::lte::correlator::execute | ( |  | ) |

## get_maximum()

void gr::lte::correlator::get_maximum | ( | int & | pos,
|  | float & | max )

The documentation for this class was generated from the following file:

- correlator.h